Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Class HyphContext

    java.lang.Object
      org.apache.fop.layoutmgr.inline.HyphContext

    public class HyphContext

extends java.lang.Object

This class is used to pass information to the getNextBreakPoss() method concerning hyphenation. A reference to an instance of the class is contained in the LayoutContext object passed to each LayoutManager. It contains information concerning the hyphenation points in a word and the how many of those have previously been processed by a Layout Manager to generate size information.

Constructor Summary
`HyphContext(int[] hyphPoints)`

Method Summary
`int` | `getNextHyphPoint()`
`boolean` | `hasMoreHyphPoints()`
`void` | `updateOffset(int iCharsProcessed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HyphContext

    public HyphContext(int[] hyphPoints)

Parameters:
  `hyphPoints` - number of hyphenation points

Method Detail

### getNextHyphPoint

    public int getNextHyphPoint()

  Returns:
    next hyphenation point

### hasMoreHyphPoints

    public boolean hasMoreHyphPoints()

  Returns:
    true if more hyphenation points

### updateOffset

    public void updateOffset(int iCharsProcessed)

  Parameters:
    `iCharsProcessed` - amount to extend offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.